import os

import cv2


DATA_DIR = './data' # Rep de stockage
if not os.path.exists(DATA_DIR): # Création si il n'existe pas
    os.makedirs(DATA_DIR)

nombre_de_classe = 3 #Nombre different d'elements que le modèle devra connaitre
taille_du_dataset= 100 #Nombre d'image d'entrainement pour une classe

cap = cv2.VideoCapture(0) #On recupere la caméra
for j in range(nombre_de_classe): # Pour chaque classe je crée un réptoire pour stocker les images 
    if not os.path.exists(os.path.join(DATA_DIR, str(j))):
        os.makedirs(os.path.join(DATA_DIR, str(j)))

    print('Collecte image pour la classe {}'.format(j))

    done = False
    while True: #Lancement de la vidéo
        ret, frame = cap.read()
        cv2.putText(frame, 'Appuyez sur Q :)', (100, 50), cv2.FONT_HERSHEY_SIMPLEX, 1.3, (0, 255, 0), 3,
                    cv2.LINE_AA)
        cv2.imshow('frame', frame)
        if cv2.waitKey(25) == ord('q'): 
            break

    counter = 0  # si il appuye sur Q alors le programme sauvegarde n frame de la vidéo selon la variable taille_du_dateset
    while counter < taille_du_dataset:
        ret, frame = cap.read()
        cv2.imshow('frame', frame)
        cv2.waitKey(25)
        cv2.imwrite(os.path.join(DATA_DIR, str(j), '{}.jpg'.format(counter)), frame)

        counter += 1

cap.release()
cv2.destroyAllWindows()
